Index: trunk/autoquest-core-tasktrees-test/src/test/java/de/ugoe/cs/autoquest/tasktrees/nodeequality/EventTaskComparisonRuleTest.java
===================================================================
--- trunk/autoquest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/nodeequality/EventTaskComparisonRuleTest.java	(revision 894)
+++ trunk/autoquest-core-tasktrees-test/src/test/java/de/ugoe/cs/autoquest/tasktrees/nodeequality/EventTaskComparisonRuleTest.java	(revision 922)
@@ -1,3 +1,3 @@
-package de.ugoe.cs.quest.tasktrees.nodeequality;
+package de.ugoe.cs.autoquest.tasktrees.nodeequality;
 
 import static org.junit.Assert.*;
@@ -5,12 +5,14 @@
 import org.junit.Test;
 
-import de.ugoe.cs.quest.eventcore.IEventTarget;
-import de.ugoe.cs.quest.eventcore.IEventType;
-import de.ugoe.cs.quest.eventcore.StringEventType;
-import de.ugoe.cs.quest.tasktrees.treeifc.ISelection;
-import de.ugoe.cs.quest.tasktrees.treeifc.ITaskTreeNode;
-import de.ugoe.cs.quest.tasktrees.treeifc.ITaskTreeNodeFactory;
-import de.ugoe.cs.quest.tasktrees.treeimpl.TaskTreeNodeFactory;
-import de.ugoe.cs.quest.test.DummyGUIElement;
+import de.ugoe.cs.autoquest.eventcore.IEventTarget;
+import de.ugoe.cs.autoquest.eventcore.IEventType;
+import de.ugoe.cs.autoquest.eventcore.StringEventType;
+import de.ugoe.cs.autoquest.tasktrees.nodeequality.EventTaskComparisonRule;
+import de.ugoe.cs.autoquest.tasktrees.nodeequality.NodeEquality;
+import de.ugoe.cs.autoquest.tasktrees.treeifc.ISelection;
+import de.ugoe.cs.autoquest.tasktrees.treeifc.ITaskTreeNode;
+import de.ugoe.cs.autoquest.tasktrees.treeifc.ITaskTreeNodeFactory;
+import de.ugoe.cs.autoquest.tasktrees.treeimpl.TaskTreeNodeFactory;
+import de.ugoe.cs.autoquest.test.DummyGUIElement;
 
 /**
Index: trunk/autoquest-core-tasktrees-test/src/test/java/de/ugoe/cs/autoquest/tasktrees/nodeequality/GUIEventTaskComparisonRuleTest.java
===================================================================
--- trunk/autoquest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/nodeequality/GUIEventTaskComparisonRuleTest.java	(revision 894)
+++ trunk/autoquest-core-tasktrees-test/src/test/java/de/ugoe/cs/autoquest/tasktrees/nodeequality/GUIEventTaskComparisonRuleTest.java	(revision 922)
@@ -1,3 +1,3 @@
-package de.ugoe.cs.quest.tasktrees.nodeequality;
+package de.ugoe.cs.autoquest.tasktrees.nodeequality;
 
 import static org.junit.Assert.*;
@@ -8,16 +8,18 @@
 import org.junit.Test;
 
-import de.ugoe.cs.quest.eventcore.Event;
-import de.ugoe.cs.quest.eventcore.IEventTarget;
-import de.ugoe.cs.quest.eventcore.IEventType;
-import de.ugoe.cs.quest.eventcore.StringEventType;
-import de.ugoe.cs.quest.eventcore.gui.KeyboardFocusChange;
-import de.ugoe.cs.quest.eventcore.gui.TextInput;
-import de.ugoe.cs.quest.eventcore.gui.ValueSelection;
-import de.ugoe.cs.quest.tasktrees.treeifc.ISelection;
-import de.ugoe.cs.quest.tasktrees.treeifc.ITaskTreeNode;
-import de.ugoe.cs.quest.tasktrees.treeifc.ITaskTreeNodeFactory;
-import de.ugoe.cs.quest.tasktrees.treeimpl.TaskTreeNodeFactory;
-import de.ugoe.cs.quest.test.DummyGUIElement;
+import de.ugoe.cs.autoquest.eventcore.Event;
+import de.ugoe.cs.autoquest.eventcore.IEventTarget;
+import de.ugoe.cs.autoquest.eventcore.IEventType;
+import de.ugoe.cs.autoquest.eventcore.StringEventType;
+import de.ugoe.cs.autoquest.eventcore.gui.KeyboardFocusChange;
+import de.ugoe.cs.autoquest.eventcore.gui.TextInput;
+import de.ugoe.cs.autoquest.eventcore.gui.ValueSelection;
+import de.ugoe.cs.autoquest.tasktrees.nodeequality.GUIEventTaskComparisonRule;
+import de.ugoe.cs.autoquest.tasktrees.nodeequality.NodeEquality;
+import de.ugoe.cs.autoquest.tasktrees.treeifc.ISelection;
+import de.ugoe.cs.autoquest.tasktrees.treeifc.ITaskTreeNode;
+import de.ugoe.cs.autoquest.tasktrees.treeifc.ITaskTreeNodeFactory;
+import de.ugoe.cs.autoquest.tasktrees.treeimpl.TaskTreeNodeFactory;
+import de.ugoe.cs.autoquest.test.DummyGUIElement;
 
 /**
Index: trunk/autoquest-core-tasktrees-test/src/test/java/de/ugoe/cs/autoquest/tasktrees/nodeequality/IterationComparisonRuleTest.java
===================================================================
--- trunk/autoquest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/nodeequality/IterationComparisonRuleTest.java	(revision 894)
+++ trunk/autoquest-core-tasktrees-test/src/test/java/de/ugoe/cs/autoquest/tasktrees/nodeequality/IterationComparisonRuleTest.java	(revision 922)
@@ -1,3 +1,3 @@
-package de.ugoe.cs.quest.tasktrees.nodeequality;
+package de.ugoe.cs.autoquest.tasktrees.nodeequality;
 
 import static org.junit.Assert.*;
@@ -5,12 +5,15 @@
 import org.junit.Test;
 
-import de.ugoe.cs.quest.tasktrees.treeifc.IIteration;
-import de.ugoe.cs.quest.tasktrees.treeifc.ISelection;
-import de.ugoe.cs.quest.tasktrees.treeifc.ITaskTreeBuilder;
-import de.ugoe.cs.quest.tasktrees.treeifc.ITaskTreeNode;
-import de.ugoe.cs.quest.tasktrees.treeifc.ITaskTreeNodeFactory;
-import de.ugoe.cs.quest.tasktrees.treeimpl.TaskTreeBuilder;
-import de.ugoe.cs.quest.tasktrees.treeimpl.TaskTreeNodeFactory;
-import de.ugoe.cs.quest.tasktrees.treeimpl.TaskTreeNode;
+import de.ugoe.cs.autoquest.tasktrees.nodeequality.IterationComparisonRule;
+import de.ugoe.cs.autoquest.tasktrees.nodeequality.NodeEquality;
+import de.ugoe.cs.autoquest.tasktrees.nodeequality.NodeEqualityRuleManager;
+import de.ugoe.cs.autoquest.tasktrees.treeifc.IIteration;
+import de.ugoe.cs.autoquest.tasktrees.treeifc.ISelection;
+import de.ugoe.cs.autoquest.tasktrees.treeifc.ITaskTreeBuilder;
+import de.ugoe.cs.autoquest.tasktrees.treeifc.ITaskTreeNode;
+import de.ugoe.cs.autoquest.tasktrees.treeifc.ITaskTreeNodeFactory;
+import de.ugoe.cs.autoquest.tasktrees.treeimpl.TaskTreeBuilder;
+import de.ugoe.cs.autoquest.tasktrees.treeimpl.TaskTreeNode;
+import de.ugoe.cs.autoquest.tasktrees.treeimpl.TaskTreeNodeFactory;
 
 /**
Index: trunk/autoquest-core-tasktrees-test/src/test/java/de/ugoe/cs/autoquest/tasktrees/nodeequality/NodeAndIterationComparisonRuleTest.java
===================================================================
--- trunk/autoquest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/nodeequality/NodeAndIterationComparisonRuleTest.java	(revision 894)
+++ trunk/autoquest-core-tasktrees-test/src/test/java/de/ugoe/cs/autoquest/tasktrees/nodeequality/NodeAndIterationComparisonRuleTest.java	(revision 922)
@@ -1,3 +1,3 @@
-package de.ugoe.cs.quest.tasktrees.nodeequality;
+package de.ugoe.cs.autoquest.tasktrees.nodeequality;
 
 import static org.junit.Assert.*;
@@ -5,12 +5,15 @@
 import org.junit.Test;
 
-import de.ugoe.cs.quest.tasktrees.treeifc.IIteration;
-import de.ugoe.cs.quest.tasktrees.treeifc.ISelection;
-import de.ugoe.cs.quest.tasktrees.treeifc.ITaskTreeBuilder;
-import de.ugoe.cs.quest.tasktrees.treeifc.ITaskTreeNode;
-import de.ugoe.cs.quest.tasktrees.treeifc.ITaskTreeNodeFactory;
-import de.ugoe.cs.quest.tasktrees.treeimpl.TaskTreeBuilder;
-import de.ugoe.cs.quest.tasktrees.treeimpl.TaskTreeNodeFactory;
-import de.ugoe.cs.quest.tasktrees.treeimpl.TaskTreeNode;
+import de.ugoe.cs.autoquest.tasktrees.nodeequality.NodeAndIterationComparisonRule;
+import de.ugoe.cs.autoquest.tasktrees.nodeequality.NodeEquality;
+import de.ugoe.cs.autoquest.tasktrees.nodeequality.NodeEqualityRuleManager;
+import de.ugoe.cs.autoquest.tasktrees.treeifc.IIteration;
+import de.ugoe.cs.autoquest.tasktrees.treeifc.ISelection;
+import de.ugoe.cs.autoquest.tasktrees.treeifc.ITaskTreeBuilder;
+import de.ugoe.cs.autoquest.tasktrees.treeifc.ITaskTreeNode;
+import de.ugoe.cs.autoquest.tasktrees.treeifc.ITaskTreeNodeFactory;
+import de.ugoe.cs.autoquest.tasktrees.treeimpl.TaskTreeBuilder;
+import de.ugoe.cs.autoquest.tasktrees.treeimpl.TaskTreeNode;
+import de.ugoe.cs.autoquest.tasktrees.treeimpl.TaskTreeNodeFactory;
 
 /**
Index: trunk/autoquest-core-tasktrees-test/src/test/java/de/ugoe/cs/autoquest/tasktrees/nodeequality/NodeAndSelectionComparisonRuleTest.java
===================================================================
--- trunk/autoquest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/nodeequality/NodeAndSelectionComparisonRuleTest.java	(revision 894)
+++ trunk/autoquest-core-tasktrees-test/src/test/java/de/ugoe/cs/autoquest/tasktrees/nodeequality/NodeAndSelectionComparisonRuleTest.java	(revision 922)
@@ -1,3 +1,3 @@
-package de.ugoe.cs.quest.tasktrees.nodeequality;
+package de.ugoe.cs.autoquest.tasktrees.nodeequality;
 
 import static org.junit.Assert.*;
@@ -5,11 +5,14 @@
 import org.junit.Test;
 
-import de.ugoe.cs.quest.tasktrees.treeifc.ISelection;
-import de.ugoe.cs.quest.tasktrees.treeifc.ITaskTreeBuilder;
-import de.ugoe.cs.quest.tasktrees.treeifc.ITaskTreeNode;
-import de.ugoe.cs.quest.tasktrees.treeifc.ITaskTreeNodeFactory;
-import de.ugoe.cs.quest.tasktrees.treeimpl.TaskTreeBuilder;
-import de.ugoe.cs.quest.tasktrees.treeimpl.TaskTreeNodeFactory;
-import de.ugoe.cs.quest.tasktrees.treeimpl.TaskTreeNode;
+import de.ugoe.cs.autoquest.tasktrees.nodeequality.NodeAndSelectionComparisonRule;
+import de.ugoe.cs.autoquest.tasktrees.nodeequality.NodeEquality;
+import de.ugoe.cs.autoquest.tasktrees.nodeequality.NodeEqualityRuleManager;
+import de.ugoe.cs.autoquest.tasktrees.treeifc.ISelection;
+import de.ugoe.cs.autoquest.tasktrees.treeifc.ITaskTreeBuilder;
+import de.ugoe.cs.autoquest.tasktrees.treeifc.ITaskTreeNode;
+import de.ugoe.cs.autoquest.tasktrees.treeifc.ITaskTreeNodeFactory;
+import de.ugoe.cs.autoquest.tasktrees.treeimpl.TaskTreeBuilder;
+import de.ugoe.cs.autoquest.tasktrees.treeimpl.TaskTreeNode;
+import de.ugoe.cs.autoquest.tasktrees.treeimpl.TaskTreeNodeFactory;
 
 /**
Index: trunk/autoquest-core-tasktrees-test/src/test/java/de/ugoe/cs/autoquest/tasktrees/nodeequality/NodeEqualityTest.java
===================================================================
--- trunk/autoquest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/nodeequality/NodeEqualityTest.java	(revision 894)
+++ trunk/autoquest-core-tasktrees-test/src/test/java/de/ugoe/cs/autoquest/tasktrees/nodeequality/NodeEqualityTest.java	(revision 922)
@@ -1,7 +1,9 @@
-package de.ugoe.cs.quest.tasktrees.nodeequality;
+package de.ugoe.cs.autoquest.tasktrees.nodeequality;
 
 import static org.junit.Assert.*;
 
 import org.junit.Test;
+
+import de.ugoe.cs.autoquest.tasktrees.nodeequality.NodeEquality;
 
 /**
Index: trunk/autoquest-core-tasktrees-test/src/test/java/de/ugoe/cs/autoquest/tasktrees/nodeequality/SelectionComparisonRuleTest.java
===================================================================
--- trunk/autoquest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/nodeequality/SelectionComparisonRuleTest.java	(revision 894)
+++ trunk/autoquest-core-tasktrees-test/src/test/java/de/ugoe/cs/autoquest/tasktrees/nodeequality/SelectionComparisonRuleTest.java	(revision 922)
@@ -1,3 +1,3 @@
-package de.ugoe.cs.quest.tasktrees.nodeequality;
+package de.ugoe.cs.autoquest.tasktrees.nodeequality;
 
 import static org.junit.Assert.*;
@@ -5,12 +5,15 @@
 import org.junit.Test;
 
-import de.ugoe.cs.quest.tasktrees.treeifc.ISelection;
-import de.ugoe.cs.quest.tasktrees.treeifc.ISequence;
-import de.ugoe.cs.quest.tasktrees.treeifc.ITaskTreeBuilder;
-import de.ugoe.cs.quest.tasktrees.treeifc.ITaskTreeNode;
-import de.ugoe.cs.quest.tasktrees.treeifc.ITaskTreeNodeFactory;
-import de.ugoe.cs.quest.tasktrees.treeimpl.TaskTreeBuilder;
-import de.ugoe.cs.quest.tasktrees.treeimpl.TaskTreeNodeFactory;
-import de.ugoe.cs.quest.tasktrees.treeimpl.TaskTreeNode;
+import de.ugoe.cs.autoquest.tasktrees.nodeequality.NodeEquality;
+import de.ugoe.cs.autoquest.tasktrees.nodeequality.NodeEqualityRuleManager;
+import de.ugoe.cs.autoquest.tasktrees.nodeequality.SelectionComparisonRule;
+import de.ugoe.cs.autoquest.tasktrees.treeifc.ISelection;
+import de.ugoe.cs.autoquest.tasktrees.treeifc.ISequence;
+import de.ugoe.cs.autoquest.tasktrees.treeifc.ITaskTreeBuilder;
+import de.ugoe.cs.autoquest.tasktrees.treeifc.ITaskTreeNode;
+import de.ugoe.cs.autoquest.tasktrees.treeifc.ITaskTreeNodeFactory;
+import de.ugoe.cs.autoquest.tasktrees.treeimpl.TaskTreeBuilder;
+import de.ugoe.cs.autoquest.tasktrees.treeimpl.TaskTreeNode;
+import de.ugoe.cs.autoquest.tasktrees.treeimpl.TaskTreeNodeFactory;
 
 /**
Index: trunk/autoquest-core-tasktrees-test/src/test/java/de/ugoe/cs/autoquest/tasktrees/nodeequality/SequenceComparisonRuleTest.java
===================================================================
--- trunk/autoquest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/nodeequality/SequenceComparisonRuleTest.java	(revision 894)
+++ trunk/autoquest-core-tasktrees-test/src/test/java/de/ugoe/cs/autoquest/tasktrees/nodeequality/SequenceComparisonRuleTest.java	(revision 922)
@@ -1,3 +1,3 @@
-package de.ugoe.cs.quest.tasktrees.nodeequality;
+package de.ugoe.cs.autoquest.tasktrees.nodeequality;
 
 import static org.junit.Assert.*;
@@ -5,12 +5,15 @@
 import org.junit.Test;
 
-import de.ugoe.cs.quest.tasktrees.treeifc.ISelection;
-import de.ugoe.cs.quest.tasktrees.treeifc.ISequence;
-import de.ugoe.cs.quest.tasktrees.treeifc.ITaskTreeBuilder;
-import de.ugoe.cs.quest.tasktrees.treeifc.ITaskTreeNode;
-import de.ugoe.cs.quest.tasktrees.treeifc.ITaskTreeNodeFactory;
-import de.ugoe.cs.quest.tasktrees.treeimpl.TaskTreeBuilder;
-import de.ugoe.cs.quest.tasktrees.treeimpl.TaskTreeNodeFactory;
-import de.ugoe.cs.quest.tasktrees.treeimpl.TaskTreeNode;
+import de.ugoe.cs.autoquest.tasktrees.nodeequality.NodeEquality;
+import de.ugoe.cs.autoquest.tasktrees.nodeequality.NodeEqualityRuleManager;
+import de.ugoe.cs.autoquest.tasktrees.nodeequality.SequenceComparisonRule;
+import de.ugoe.cs.autoquest.tasktrees.treeifc.ISelection;
+import de.ugoe.cs.autoquest.tasktrees.treeifc.ISequence;
+import de.ugoe.cs.autoquest.tasktrees.treeifc.ITaskTreeBuilder;
+import de.ugoe.cs.autoquest.tasktrees.treeifc.ITaskTreeNode;
+import de.ugoe.cs.autoquest.tasktrees.treeifc.ITaskTreeNodeFactory;
+import de.ugoe.cs.autoquest.tasktrees.treeimpl.TaskTreeBuilder;
+import de.ugoe.cs.autoquest.tasktrees.treeimpl.TaskTreeNode;
+import de.ugoe.cs.autoquest.tasktrees.treeimpl.TaskTreeNodeFactory;
 
 /**
